
<html>
    <head>
        <title>Calcular Retângulo</title>

    </head>
    <body>
        <script>
		function calcular() {
		
		var txtPerimetro = document.getElementById('Perimetro');
		var todoPerimetro = parseInt(Perimetro.value);
		
        var txtArea = document.getElementById('Area');        
        var todaArea = parseInt(Area.value);
		
        var resultado = document.getElementById('resultado');
		
		if (!isNaN (todaArea) || !isNaN(todoPerimetro)){
		
		if (todoPerimetro !='' && todaArea!='') {
        resultado.innerHTML = 'Seu perímetro é : ' + (todoPerimetro*2 + todaArea*2) + ' e a sua área é :' + (todaArea * todoPerimetro);
}
		else{
		alert('Falto coisa');
				
				
}
}
}
				
        </script>
        <label for="perimetro">Base:</label> <input type="text" id="Perimetro" /></br>
        <label for="area">Altura:</label> <input type="text" id="Area" /></br>
        <input type="button" value="Calcular" onclick="calcular();" />
        <p id="resultado">
        </p>

    </body>
</html>